Incidencias
GET https://uptime.gestinet.net/api/incidents/
curl --request GET \
--url 'https://uptime.gestinet.net/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.gestinet.net/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | Por qué campo buscas. Los valores permitidos son: comment. |
| datetime_field | Opcional Cadena | Valores permitidos: start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados desde esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para descendente. |
| page | Opcional Entero | El número de página de la que deseas resultados. Por defecto 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-06-14 16:01:51",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime.gestinet.net/api/incidents?page=1",
"last": "https://uptime.gestinet.net/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptime.gestinet.net/api/incidents?page=1"
}
}
GET https://uptime.gestinet.net/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-06-14 16:01:51",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptime.gestinet.net/api/incidents/{incident_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| comment | Opcional Cadena | - |
curl --request POST \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime.gestinet.net/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime.gestinet.net/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \